# Projecte Maleter 
## Introducció
Benvinguts al nostre projecte per fer el disseny d'un maleter. Som la Maria Toro, l'Arnau Sirvent i el MiguelAngel Molina. L'objectiu principal pel que realitzem aquest projecte és per aprendre a dissenyar un maleter controlat per un microcontrolador amb la seva respectiva PCB.

## Especificacions/Requisits
- __Components__:
- Microcontrolador
- Regulador de tensió
- Botonera
- Motor d'apertura amb el seu final de carrera
- Sensor digital d'apertura a distància amb el peu
- Calefactor de vidre

- __Comunicacions__:
- Bus de programació i debug del microcontrolador
- Bus CAN
- Bus i2c
- Comunicació USART

- __Requisits__: 
- 1 motor d'apertura amb final de carrera
- Sensor digital d'apertura a distància amb el peu
- Calefactor del vidre

## Taula de Components

|Component           |Descripció                |Datasheet      |Mouser        |Model|Preu  |
|:-------------------|:-------------------------|:--------------|:-------------|:--------------------------:|:----:|
|Microcontrolador    |Circuit que actuarà com a centre de control|[Datasheet](https://ww1.microchip.com/downloads/aemDocuments/documents/MCU16/ProductDocuments/DataSheets/dsPIC33CK256MC506-Family-Data-Sheet-DS70005473C.pdf)|[mouser](https://www.mouser.es/c/?q=DSPIC33CK128MC502)|DSPIC33CK128MC502 |2€|
|Regulador de tensió |Dispositiu que regularà el corrent d'entrada de 12V a 3.3V|[Datasheet ](https://www.ti.com/lit/ds/symlink/lm1117.pdf?ts=1710745623625&ref_url=https%253A%252F%252Fwww.mouser.se%252F)|[mouser ](https://www.mouser.es/ProductDetail/onsemi/LM1117MPX-50NOPB?qs=DPoM0jnrROW5saxbk%2FgBxA%3D%3D)|LM1117|0,614€|
|Connector           |Connector que serveix para la comunicació entre dispositius|[Datasheet ](https://www.mouser.es/datasheet/2/18/1/Cable_Glands_and_Cord_Grips-806485.pdf)|[mouser ](https://www.mouser.es/c/?q=db9)|DB9 |19,08€ |
|Cristall Oscil·lador         |Permet la generació de senyals elèctriques d'alta precisió |[Datasheet ](https://www.mouser.es/datasheet/2/122/ecx_53r-1775695.pdf)|[mouser ](https://www.mouser.es/ProductDetail/ECS/ECS-80-8-30-JGN-TR?qs=rQFj71Wb1eX34%2FP%2F%2Fw8%2FDA%3D%3D)|ECS-80-8-30-JGN-TR |0,586€ |
|Driver motor        |Permet el control del motor |[Datasheet ](https://www.ti.com/lit/ds/symlink/drv8231a.pdf?ts=1710753914026&ref_url=https%253A%252F%252Fwww.mouser.de%252F)|[mouser ](https://www.mouser.es/c/?q=DRV8231A)|DRV8231A |1,41€ |
|Sensor de moviment|Detectarà moviment i permetrà l'apertura del maleter|[Datasheet ](https://www.vishay.com/docs/84937/vcnl3036x01.pdf)|[mouser ](https://www.mouser.es/ProductDetail/Vishay-Semiconductors/VCNL3036X01-GS08?qs=u16ybLDytRZNg3QGb2iMGw%3D%3D)|VCNL3036x01 |2,38€ |
|Transceiver CAN |S'encarrega de transmetre i rebre dades|[Datasheet ](https://www.ti.com/lit/ds/symlink/tcan332g.pdf?ts=1710924087476&ref_url=https%253A%252F%252Fwww.mouser.de%252F)|[mouser ](https://www.mouser.es/c/?q=tcan332d)|TCAN332D |2.59€ |
|Relé (calefactor) |Per escalfar el vidre del cotxe |[Datasheet](https://www.tme.eu/Document/9e0074a1c4c4773de1bbeb7b20549577/RM50_PL.pdf) |[TEM](https://www.tme.eu/es/details/rm50-p-03/reles-electromagn-miniaturizados/relpol/rm50-3011-85-1003/)|RM50-3011-85-1003|2.66€|
|LED   | Led que s'iluminarà quan el maleter estigui obert|[Datasheet ](https://look.ams-osram.com/m/6e36864d019f51d4/original/LB-Q39G.pdf)|[mouser ](https://www.mouser.es/c/?q=LBQ39G)|LBQ39G |0.27€ |
|Motor               |Motor per poder pujar i baixar la porta|[Datasheet ](https://transmotec.es/Download/Catalog/Transmotec-EN-DC-12W-450W-2022.pdf)|[mouser](https://transmotec.es/product/D4387-12-ME/)|D4387-12-ME|345,00€|
|Polsador final de carrera |Per limitar el motor de pujada del maleter|[Datasheet ](https://www.mouser.es/datasheet/2/307/en_ss-1509069.pdf)|[mouser](https://www.mouser.es/ProductDetail/Omron-Electronics/SS-01GPD?qs=Rh%252BaoYk36r7Kg%2FMuYOZkbg%3D%3D)|SS-01GPD |1.23€ |
|Polsador malater    |Per obrir i tancar el maleter|[Datasheet ](https://www.mouser.es/datasheet/2/670/mpb01-2474754.pdf)|[mouser](https://www.mouser.es/ProductDetail/CUI-Devices/MPB01-1B33-S-D?qs=TuK3vfAjtkW9%252BmHDb6Xtrg%3D%3D)|MPB01-1B33-S-D |3.51€ |
|Connector    |Per programar el microcontrolador|[Datasheet ](https://ww1.microchip.com/downloads/en/DeviceDoc/30277d.pdf)|[mouser](https://www.mouser.es/ProductDetail/Olimex-Ltd/ICSP-CABLE-6pin?qs=Rp5uXu7WBW%2FlPenmDe%252BVKA%3D%3D)|ICSP |1.52€ |

## Diagrama de Blocs

![Diagrama de Blocs](Diagrama_de_blocs.png)


## Modificacions
Aquí trobareu les modificacions realitzades:

- __3/04/24 [Miguel]__: Simulacions realitzades. 
- __7/04/24 [Maria]__: Creació del Readme.
- __7/04/24 [Arnau]__: Actualització de l'esquemàtic (LED, pulsador, connector motor, pin 3 GND).
- __8/04/24 [Maria]__: Canvi de model del cristall oscil·lador.
- __8/04/24 [Miguel]__: S'han agregat les diferents versions de la presentació (S1 i S2) i el diagrama de blocs realitzat en les sessions anteriors. 
- __8/04/24 [Miguel]__:S'ha restructurat de manera més ordenada les especificacions i requisits per la realització de la pràctica.
- __8/04/24 [Maria, Miguel, Arnau]__: Realització del layout amb les recomanacions donades pels professors. 
- __15/04/24 [Maria]__: Canvi de sensor de moviment i canvi d'oscil·lador.
- __16/04/24 [Arnau]__: Modificació PCB.
- __17/04/2024 [Arnau]__: Canvis després d'exposar, falten arreglar warnings i errors.
- __19/04/24 [Miguel]__: Pujar les versions prèvies de les sessions anteriors.
- __21/04/24 [Miguel]__: Començament del pressupost amb les especiifacions sol·licitades.
- __22/04/24 [Miguel, Maria, Arnau]__: Realització de la PCB de l'entrega final.
- __22/04/2024 [Maria]__: Actualitzar reedme amb la taula definitiva dels components, canvi de netclasses, modificació final del diagrama de blocs en les diferents nets.



